Bug 1087557 - python-crypto bundles libtomcrypt
python-crypto bundles libtomcrypt
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-crypto (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Paul Howarth
Fedora Extras Quality Assurance
:
Depends On: 1092402
Blocks: DuplicSysLibsTracker
  Show dependency treegraph
 
Reported: 2014-04-14 11:35 EDT by Ville Skyttä
Modified: 2014-05-16 08:46 EDT (History)
2 users (show)

See Also:
Fixed In Version: python-crypto-2.6.1-3.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-16 08:46:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Paul Howarth 2014-04-15 08:59:51 EDT
Unbundling libtomcrypt requires one change in libtomcrypt to support two-key triple-DES, otherwise the resulting package would be incompatible and fail its test suite.

The change in pycrypto is:
https://github.com/dlitz/pycrypto/commit/65085f16

I have requested that this be merged in libtomcrypt upstream:
https://github.com/libtom/libtomcrypt/pull/43

If that's accepted, I'll request that the same change is applied in Fedora's libtomcrypt and then I'll be able to unbundle it from python-crypto.
Comment 2 Paul Howarth 2014-05-16 08:46:07 EDT
Unbundled in python-crypto-2.6.1-3.fc21

http://koji.fedoraproject.org/koji/taskinfo?taskID=6855408

Note You need to log in before you can comment on or make changes to this bug.